class CreateConsolidacaoMotoristas < ActiveRecord::Migration[7.1]
  def change
    create_table :consolidacao_motoristas do |t|
      t.references :consolidacao, null: false, foreign_key: { to_table: :consolidacoes }
      t.string     :motorista_nome, null: false   # driver da tabela existente
      t.decimal    :valor_total, precision: 10, scale: 2, default: 0

      t.timestamps
    end

    add_index :consolidacao_motoristas, :motorista_nome
    add_index :consolidacao_motoristas,
              [:consolidacao_id, :motorista_nome],
              unique: true,
              name: 'idx_consolidacao_motorista_unique'
  end
end
